[PyKDE] SuSE 9.0 PyKDE 3.8 rc 2 MAKE error....

Greg Hypta quovadis14 at yahoo.com
Tue Jan 27 00:03:00 GMT 2004


I compiled pykde fine with the line "python build.py
-v /usr/share/sip/qt" and the compile go's fine with
out a problem no errors at all. It tells me to run
"make" which i do as a normal user. Everything go's
fine but then i get this error:

make[1]: Entering directory
g++ -c -pipe -O2 -march=i586 -mcpu=i686
-fmessage-length=0 -fPIC -w -O2 -march=i586 -mcpu=i686
-fmessage-length=0 -fPIC -D_REENTRANT -fPIC 
-fno-exceptions -I/usr/lib/qt3/mkspecs/default -I.
-I../extra/kde313 -I. -I/usr/include/python2.3
-I/opt/kde3/include -I../dcop -I../kdecore
-I../pythonize -I../pykpanelapplet -I/usr/include
-I/usr/lib/qt3/include -o kdeuihuge0.o kdeuihuge0.cpp
sip/kaboutapplication.sip: In function `PyObject*
sipSubClass_KAboutApplication(const QObject*)':
sip/kaboutapplication.sip:198: error:
`sipName_QXEmbed' undeclared (first use this function)
sip/kaboutapplication.sip:198: error: (Each undeclared
identifier is reported only once for each function it
appears in.)
sip/kaboutapplication.sip:198: error:
`sipClass_QXEmbed' undeclared (first use this
make[1]: *** [kdeuihuge0.o] Error 1
make[1]: Leaving directory
make: *** [sub-kdeui] Error 2

As far as i know ive never compiled python so i have
no idea on how to go about this. This is on SuSE 9.0
Kernel 2.4.21-166-athlon (special) and KDE 3.1.4, PyQT
is ver 3.8 if you need anymore infoo just let me know
ill be happy to provide it. I just want this
compiled... Thanks in advance,


Do you Yahoo!?
Yahoo! SiteBuilder - Free web site building tool. Try it!

More information about the PyQt mailing list